## logcheck 1.3.14

=== debian/changelog ===
logcheck (1.3.14) unstable; urgency=low

  [ martin f. krafft ]
  * ignore.d.server/postfix:
    - ignore notice about verified TLS connections.
  * ignore.d.server/openvpn:
    - broaden filters to catch more messages.

  [ Hanspeter Kunz ]
  * ignore.d.server/dovecot:
    - allow for arbitrary msgids
    - ignore discarded vacation replies with precedence Bulk and list
    - ignore notice about managesieve logouts (closes: #637918)
  * ignore.d.server/postfix:
    - ignore (temporary) rejects messages when the sender domain is not found
    - ignore verify cache db cleanups

  [ Hannes von Haugwitz ]
  * src/logcheck:
    - added numeric timezone information to subject line
    - re-enabled globbing of logfile names (closes: #616103)
  * docs/README.logcheck-database:
    - mention logcheck-test in 'TESTING RULES' section
  * ignore.d.workstation/wpasupplicant:
    - match 5200, 5300, 5260 and 5680 MHz in 'Trying to associate' message
    - allow WPA protocol in 'wpa_action: key_mgmt' message
    - ignore "mode=station" message
    - ignore "Trying to authenticate" message
    - allow '/run/sendsigs.omit.d' as location for pidfile (closes: #633030)
  * ignore.d.server/login:
    - adjusted rule to match serial terminals
  * ignore.d.workstation/kernel:
    - ignore "Spinning up disk" message
    - ignore 'cfg80211: Calling CRDA for country' message
    - ignore 'Monitor-Mwait' messages
    - ignore WLAN 'waiting for beacon' and 'beacon received' messages
    - allow 'device number' in '(new|reset) (low|full|high) speed USB' and
      'USB disconnect' messages
  * ignore.d.server/cron-apt:
    - allow optional whitespace between value and unit, thanks to
      Gabor Kiss (closes: #609649)
    - allow optional architecture in "Get" message
  * ignore.d.server/dnsmasq:
    - allow '-' in interface name, thanks to Jan Evert van Grootheest
      (closes: #608256)
  * src/logcheck, etc/logcheck.conf:
    - added option to compress attachment with gzip
  * ignore.d.server/snmpd:
    - adjusted UDP rule to match new SNMP output format, thanks to
      Robert Naylor (closes: #613124)
  * docs/logcheck-test.1:
    - use 'logcheck-test' instead of 'logcheck' in the EXAMPLES
  * ignore.d.workstation/libpam-gnome-keyring:
    - adjusted rule to match messages without quotes (closes: #618411)
  * ignore.d.server/dhclient:
    - allow '-' in interface name (closes: #622942)
  * ignore.d.server/spamd:
    - adjusted 'child cleanup' rule to match new format, thanks to Enno Gröper
      (closes: #632471)
  * src/logcheck-test:
    - allow symbolic link as rule file
  * ignore.d.workstation/xlockmore:
    - applied patch by Libor Polčák: ignore local display
  * logcheck-database.preinst:
    - deleting ignore.d.server/webmin, package has been removed from debian
  * ignore.d.server/kernel:
    - ignore "kvm: emulating exchange as write" message
    - allow optional ". Opts: (null)" at the end of "mounted filesystem with
      (writeback|ordered) data mode" message
  * ignore.d.server/amavisd-new:
    - allow quarantine in "Passed SPAM" log line
    - allow subdirectories for quarantine messages and made Message-ID in
      "Passed BAD-HEADER" log lines optional, thanks to John Clements
    - allow compressed quarantine messages (closes: #639839)
  * debian/rules:
    - added build-indep and build-arch targets
  * debian/control:
    - bumped to Standards-Version 3.9.2 (no changes necessary)

  [ Gerfried Fuchs ]
  * Remove myself from uploaders.

  [ Jeremy L. Gaddis ]
  * ignore.d.server/postfix:
    - adjust postfix certificate fingerprint rule to match new output
      format, thanks to Loïc Minier (closes: #616616)
  * ignore.d.server/amavisd-new:
    - adjusted rule to match new output format, thanks to Adrian Lang
      (closes: #624197)
  * ignore.d.server/ssh:
    - add rule to ignore AllowGroups denial, thanks to Gerald Turner
      (closes: #637923)
  * ignore.d.server/dovecot:
    - adjusted rule to match IPv6 addresses, thanks to Gerald Turner
      (closes: #637916)
  * debian/copyright:
    - updated copyright year to 2011
    - added myself as team member

  [ Frédéric Brière ]
  * violations.d/kernel:
    - ignore whitespace before timestamp
  * ignore.d.workstation/kernel:
    - allow '.' in input device name

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Thu, 08 Sep 2011 15:32:22 +0200

=== debian/control ===
Source: logcheck
Section: admin
Priority: optional
Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
Uploaders: Todd Troxell <ttroxell@debian.org>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, maximilian attems <maks@debian.org>, Hanspeter Kunz <hkunz@ifi.uzh.ch>, Hannes von Haugwitz <hannes@vonhaugwitz.com>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: docbook-to-man
Vcs-Git: git://git.debian.org/git/logcheck/logcheck.git
Vcs-Browser: http://git.debian.org/?p=logcheck/logcheck.git
Homepage: http://www.logcheck.org/

Package: logcheck
Architecture: all
Depends: adduser, default-mta | mail-transport-agent, cron, rsyslog | system-log-daemon, mime-construct, logtail (>= 1.2.59), lockfile-progs, ${misc:Depends}
Recommends: logcheck-database (>= ${source:Version})
Suggests: syslog-summary
Description: mails anomalies in the system logfiles to the administrator
 Logcheck helps spot problems and security violations in your logfiles
 automatically and will send the results to you in e-mail.
 .
 Logcheck was part of the Abacus Project of security tools, but this
 version has been rewritten.

Package: logcheck-database
Architecture: all
Depends: ${misc:Depends}
Replaces: logcheck (<= 1.1.1-9), amavisd-new (<= 2:2.6.4-1)
Description: database of system log rules for the use of log checkers
 This database is part of the Logcheck package, but might be used by others.
 It brings a database of regular expressions for matching system log entries
 after various criteria.

Package: logtail
Architecture: all
Depends: perl (>= 5.8.0), ${misc:Depends}
Replaces: logcheck (<= 1.1.1-9)
Description: Print log file lines that have not been read (deprecated)
 This program will read in a standard text file and create an
 offset marker when it reads the end. The offset marker is read
 the next time logtail is run and the text file pointer is moved
 to the offset location. This allows logtail to read in the next
 lines of data following the marker. This is good for marking log
 files for automatic log file checkers to monitor system events.
 .
 The package also provides logtail2, which better deals with rotated log
 files: If logtail2 finds that the inode of the file was changed, it assumes
 that the log has been rotated, and tries to find the file it was rotated to
 using heuristic plugins. If it finds the file, it will print the remainder of
 the file starting at the offset saved to the offset file. If a file with the
 correct inode was not found, logtail2 will only print the new file in its
 entirety before writing a new offset file.

## logcheck 1.3.15

=== debian/changelog ===
logcheck (1.3.15) unstable; urgency=low

  [ Hannes von Haugwitz ]
  * ignore.d.server/dropbear: new
    - ignore successful logins (closes: #652148)
  * src/logcheck:
    - fixed broken '-t' option, thanks to Jon Daley (closes: #647622,
      LP: #1010431)
  * debian/control:
    - bumped to Standards-Version 3.9.3 (no changes necessary)
    - adjusted URLs of Vcs-* fields
  * debian/copyright:
    - updated copyright year to 2012

  [ Frédéric Brière ]
  * ignore.d.server/postfix:
    - ignore "offered null AUTH mechanism list"
    - ignore "lost connection while receiving the initial server greeting"
    - fixed "lost connection while sending end of data" rule
  * ignore.d.server/proftpd:
    - ignore "authentication failure" even if ruser is provided
  * ignore.d.server/ssh:
    - ignore "PAM $n more authentication failures"
    - ignore "Too many authentication failures"
    - ignore "Closed due to user request." (closes: #647943)
    - ignore "Bye Bye"
    - ignore "Connection closed"
    - ignore yet one more variation of "invalid user"
    - updated "Postponed ..." rule with "[preauth]" suffix
    - updated "Postponed ..." rule with "invalid user"
  * ignore.d.workstation/libmtp-runtime:
    - ignore mtp-probe messages when plugging a non-MTP device
  * ignore.d.workstation/kernel:
    - ignore "No Caching mode page present"
    - ignore "usb-storage: Quirks match"
    - ignore "sensor detected" for various GSPCA webcams
    - updated FAT messages to new fat_msg() format
    - updated "new USB device" message to new usb_speed_string() format
    - updated bttv messages to new prefix

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Sat, 30 Jun 2012 16:24:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
 Uploaders: Todd Troxell <ttroxell@debian.org>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, maximilian attems <maks@debian.org>, Hanspeter Kunz <hkunz@ifi.uzh.ch>, Hannes von Haugwitz <hannes@vonhaugwitz.com>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: docbook-to-man
-Vcs-Git: git://git.debian.org/git/logcheck/logcheck.git
-Vcs-Browser: http://git.debian.org/?p=logcheck/logcheck.git
+Vcs-Git: git://anonscm.debian.org/logcheck/logcheck.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=logcheck/logcheck.git
 Homepage: http://www.logcheck.org/
 
 Package: logcheck

## logcheck 1.3.16

=== debian/changelog ===
logcheck (1.3.16) unstable; urgency=low

  * ignore.d.server/ssh:
    - updated "subsystem request for sftp" rule (closes: #706085)
  * debian/control:
    - removed obsolete DM-Upload-Allowed field
    - build-depend on debhelper (>= 9)
    - bumped to Standards-Version 3.9.5 (no changes necessary)
  * ignore.d.server/smartd:
    - allow additional '[SAT]' field after controller pattern
      (closes: #653444)
  * ignore.d.server/exim4:
    - removed 'gluck.debian.org' specific rule (closes: #722312)
  * debian/logcheck-database.postinst, debian/logcheck.postinst:
    - applied patches by Loïc Minier (closes: #645588):
      - add logcheck alias on install not on upgrade
      - use [ -z ... ] rather than [ ! -n ... ]
      - fix indentation and whitespaces in postinsts
      - merge two tests into a single lt-nl comparison
  * ignore.d.server/cron-apt:
    - allow '-o quiet=1' in dist-upgrade rule (closes: #717247)
  * debian/logcheck-database.maintscript: added
    debian/logcheck-database.preinst: removed
    - use dpkg-maintscript-helper to remove obsolete config files
    - dropped handling of config files removed before squeeze release
  * ignore.d.server/puppetd: removed
    - rules are part of puppet-common package

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Sun, 26 Jan 2014 17:43:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
 Uploaders: Todd Troxell <ttroxell@debian.org>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, maximilian attems <maks@debian.org>, Hanspeter Kunz <hkunz@ifi.uzh.ch>, Hannes von Haugwitz <hannes@vonhaugwitz.com>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7)
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: docbook-to-man
 Vcs-Git: git://anonscm.debian.org/logcheck/logcheck.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=logcheck/logcheck.git

## logcheck 1.3.16ubuntu0.1

=== debian/changelog ===
logcheck (1.3.16ubuntu0.1) trusty; urgency=medium

  * ignore.d.server/dhclient: rewrite rules (Closes LP: #1357880)

 -- Joshua Powers <josh.powers@canonical.com>  Mon, 24 Jul 2017 12:49:46 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: logcheck
 Section: admin
 Priority: optional
-Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
 Uploaders: Todd Troxell <ttroxell@debian.org>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, maximilian attems <maks@debian.org>, Hanspeter Kunz <hkunz@ifi.uzh.ch>, Hannes von Haugwitz <hannes@vonhaugwitz.com>
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9)

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

.PHONY: build clean binary-indep binary-arch binary cvs-build checkpo help

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir

	/usr/bin/docbook-to-man docs/logcheck.sgml > \
		docs/logcheck.8

	make check
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	rm -f docs/logcheck.8
	[ ! -f Makefile ] || $(MAKE) clean DESTDIR=$(CURDIR)/debian/tmp

	dh_clean

install: install-stamp
install-stamp: DESTDIR=$(CURDIR)/debian/tmp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(DESTDIR)

	mkdir -p $(DESTDIR)/usr/share/lintian/overrides
	install -m644 debian/logcheck.lintian-overrides \
		$(DESTDIR)/usr/share/lintian/overrides/logcheck
	# install -m644 debian/logcheck-database.lintian-overrides \
	# 	$(DESTDIR)/usr/share/lintian/overrides/logcheck-database

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_movefiles
	dh_install debian/header.txt usr/share/logcheck
	dh_installcron
	dh_installman -p logtail docs/logtail.8
	dh_installman -p logtail docs/logtail2.8
	dh_installman -p logcheck docs/logcheck.8
	dh_installman -p logcheck docs/logcheck-test.1
	dh_installchangelogs
	dh_compress
	dh_fixperms --exclude etc/logcheck
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch

## logcheck 1.3.17

=== debian/changelog ===
logcheck (1.3.17) unstable; urgency=low

  [ Hannes von Haugwitz ]
  * debian/control:
    - dropped obsolete Replaces fields
    - removed 'deprecated' notice from logtail's short description
    - bumped to Standards-Version 3.9.6 (no changes necessary)
  * Migrated to dh7 style debian/rules file
  * debian/compat:
    - bumped to dh compatibility level 9
    - updated copyright year to 2014
  * debian/README.backports: removed (obsolete)
  * src/logcheck:
    - changed '#!/bin/bash' to '#!/usr/bin/env bash'
    - use '/run/lock/logcheck' instead of '/var/lock/logcheck'
    - set VERSION to the current version, thanks to Pascal Wittmann
  * ignore.d.workstation/wpasupplicant:
    - adjusted 'Group rekeying' rule and ignore 'CTRL-EVENT-SCAN-STARTED'
      message (LP: #1325349)
  * ignore.d.server/dhcp:
    - adjust rule to match new URL (closes: #744205)
  * debian/copyright:
    - removed obsolete 'fork' notice
  * docs/README.Maintainer:
    - fixed typo (closes: #764336)
  * ignore.d.server/ssh:
    - match key fingerprint when using key exchange auth (closes: #743000)
  * ignore.d.server/dkim-filter: removed
    - package has been removed from debian

  [ Alberto Gonzalez Iniesta ]
  * ignore.d.workstation/kernel:
    - fixed reworded "Caching mode page" message, thanks to Hagen Fuchs for
      the patch (closes: #743378)

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Fri, 24 Oct 2014 23:54:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: logcheck
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
+Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
 Uploaders: Todd Troxell <ttroxell@debian.org>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, maximilian attems <maks@debian.org>, Hanspeter Kunz <hkunz@ifi.uzh.ch>, Hannes von Haugwitz <hannes@vonhaugwitz.com>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: docbook-to-man
 Vcs-Git: git://anonscm.debian.org/logcheck/logcheck.git
@@ -26,7 +25,6 @@
 Package: logcheck-database
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: logcheck (<= 1.1.1-9), amavisd-new (<= 2:2.6.4-1)
 Description: database of system log rules for the use of log checkers
  This database is part of the Logcheck package, but might be used by others.
  It brings a database of regular expressions for matching system log entries
@@ -35,8 +33,7 @@
 Package: logtail
 Architecture: all
 Depends: perl (>= 5.8.0), ${misc:Depends}
-Replaces: logcheck (<= 1.1.1-9)
-Description: Print log file lines that have not been read (deprecated)
+Description: Print log file lines that have not been read
  This program will read in a standard text file and create an
  offset marker when it reads the end. The offset marker is read
  the next time logtail is run and the text file pointer is moved

## logcheck 1.3.17ubuntu0.1

=== debian/changelog ===
logcheck (1.3.17ubuntu0.1) xenial; urgency=medium

  * ignore.d.server/dhclient: rewrite rules (Closes LP: #1357880)

 -- Joshua Powers <josh.powers@canonical.com>  Wed, 19 Jul 2017 15:58:35 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: logcheck
 Section: admin
 Priority: optional
-Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
 Uploaders: Todd Troxell <ttroxell@debian.org>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, maximilian attems <maks@debian.org>, Hanspeter Kunz <hkunz@ifi.uzh.ch>, Hannes von Haugwitz <hannes@vonhaugwitz.com>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9)

## logcheck 1.3.18

=== debian/changelog ===
logcheck (1.3.18) unstable; urgency=medium

  * src/logcheck:
    - fix check if rule files are unreadable, thanks to Simon Ruderich
      for the patch (closes: #418147)
  * src/logcheck-test:
    - make mktemp usage more portable
  * Makefile:
    - remove duplicate xargs option (thanks to Sander Bos)
  * ignore.d.server/dhcp:
    - match dhcpd PID (closes: #799041)
  * ignore.d.server/dhclient:
    - rewrite rules (LP: #1357880, closes: #809605)
  * ignore.d.server/ssh:
    - add generic preauth disconnect rule (closes: #775090)
    - adjust 'Bad protocol version identification' rule, thanks to
      Paul Brossier for the patch (closes: #703936)
    - allow new FingerprintHash format (closes: #799304)
    - match 'ED25519' key type, thanks to Ayke van Laethem for the patch
    - match more disconnect messages
  * ignore.d.server/su:
    - allow '.' and '_' in username (closes: #780441)
  * ignore.d.server/rsync:
    - allow comma as thousands separator (LP: #1476199)
  * ignore.d.workstation/wpasupplicant:
    - adjust CTRL-EVENT-CONNECTED rule
    - add another CTRL-EVENT-DISCONNECTED rule
    - adjust multiple rules to match added interface name
    - allow '.' in SSID
    - match 'SME: ' prefix in 'Trying to associate' message
    - match 'freq=', 'address=' and 'uuid=' wpa_action messages
    - match CTRL-EVENT-SUBNET-STATUS-UPDATE message
    - match predictable network interface names
  * violations.ignore.d/logcheck-sudo:
    - match 'GROUP=' field (closes: #815114)
  * ignore.d.server/bind:
    - match domain name in query message, thanks to Wojciech Nizinski
      for the patch
    - ignore DNSSEC rekeying (closes: #825170)
  * ignore.d.server/openvpn:
    - match arbitrary mtu sizes (closes: #815755)
  * ignore.d.server/snmpd:
    - match optional port (closes: #644886)
  * ignore.d.server/postfix:
    - remove obsolete rule (closes: #822165)
  * ignore.d.server/systemd-timesyncd: new
    - match 'interval/delta/delay/jitter/drift' message
  * ignore.d.server/kernel:
    - 'TCP: ' prefix is optional, thanks to Xavier Mehrenberger
       for the patch (closes: #797512)
  * ignore.d.server/systemd: new
    - add some generic rules (closes: #783633)
  * debian/control:
    - add alternate dependency on cron-daemon, thanks to Felix Zielcke for the
      patch (closes: #786815)
    - use secure Vcs-* fields
    - bump to Standards-Version 3.9.8 (no changes necessary)
  * debian/copyright: update copyright year to 2017
  * Remove obsolete debian/logcheck-database.postinst
  * Add support for logcheck.logfiles.d, thanks to Vincas Dargis for
    the initial patch (closes: #481353)
  * Replace all occurrences of 'deinstall' with 'uninstall', thanks to duelle
    for the patch
  * Remove references to 'logcheck.org'

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Wed, 25 Jan 2017 22:08:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: logcheck
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
+Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
 Uploaders: Todd Troxell <ttroxell@debian.org>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, maximilian attems <maks@debian.org>, Hanspeter Kunz <hkunz@ifi.uzh.ch>, Hannes von Haugwitz <hannes@vonhaugwitz.com>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: docbook-to-man
-Vcs-Git: git://anonscm.debian.org/logcheck/logcheck.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=logcheck/logcheck.git
-Homepage: http://www.logcheck.org/
+Vcs-Git: https://anonscm.debian.org/git/logcheck/logcheck.git
+Vcs-Browser: https://anonscm.debian.org/cgit/logcheck/logcheck.git
+Homepage: http://logcheck.alioth.debian.org/
 
 Package: logcheck
 Architecture: all
-Depends: adduser, default-mta | mail-transport-agent, cron, rsyslog | system-log-daemon, mime-construct, logtail (>= 1.2.59), lockfile-progs, ${misc:Depends}
+Depends: adduser, default-mta | mail-transport-agent, cron | cron-daemon, rsyslog | system-log-daemon, mime-construct, logtail (>= 1.2.59), lockfile-progs, ${misc:Depends}
 Recommends: logcheck-database (>= ${source:Version})
 Suggests: syslog-summary
 Description: mails anomalies in the system logfiles to the administrator

## logcheck 1.3.19

=== debian/changelog ===
logcheck (1.3.19) unstable; urgency=medium

  * debian/control:
    - update Vcs-* fields to salsa.d.o
    - build-depend on debhelper (>= 11)
    - bump to Standards-Version 4.1.4 (no changes necessary)
    - update Maintainer field (closes: #899934)
  * debian/compat:
    - bump to dh compatibility level 11
  * Remove references to alioth.debian.org
  * Update debian/README.Debian

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Wed, 30 May 2018 23:59:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: logcheck
 Section: admin
 Priority: optional
-Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
+Maintainer: Debian logcheck Team <logcheck@packages.debian.org>
 Uploaders: Todd Troxell <ttroxell@debian.org>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, maximilian attems <maks@debian.org>, Hanspeter Kunz <hkunz@ifi.uzh.ch>, Hannes von Haugwitz <hannes@vonhaugwitz.com>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9)
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: docbook-to-man
-Vcs-Git: https://anonscm.debian.org/git/logcheck/logcheck.git
-Vcs-Browser: https://anonscm.debian.org/cgit/logcheck/logcheck.git
-Homepage: http://logcheck.alioth.debian.org/
+Vcs-Git: https://salsa.debian.org/debian/logcheck.git
+Vcs-Browser: https://salsa.debian.org/debian/logcheck
 
 Package: logcheck
 Architecture: all

## logcheck 1.3.20

=== Makefile ===
#!/usr/bin/make -f

CONFDIR = etc/logcheck
SBINDIR = usr/sbin
BINDIR = usr/bin
SHAREDIR = usr/share/logtail/detectrotate

all:

install:
	# Create the directories
	install -m 750 -d $(DESTDIR)/$(CONFDIR)
	install -d $(DESTDIR)/var/lib/logcheck
	install -d $(DESTDIR)/$(SBINDIR)
	install -d $(DESTDIR)/$(BINDIR)
	install -d $(DESTDIR)/var/lock/logcheck
	install -d $(DESTDIR)/$(SHAREDIR)

	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.paranoid
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.workstation
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.server
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/cracking.d
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/cracking.ignore.d
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/violations.d
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/violations.ignore.d
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/logcheck.logfiles.d

	# Install the scripts
	install -m 755 src/logcheck $(DESTDIR)/$(SBINDIR)/
	install -m 755 src/logtail $(DESTDIR)/$(SBINDIR)/
	install -m 755 src/logtail2 $(DESTDIR)/$(SBINDIR)/
	install -m 755 src/logcheck-test $(DESTDIR)/$(BINDIR)/
	install -m 755 src/detectrotate/10-savelog.dtr $(DESTDIR)/$(SHAREDIR)/
	install -m 755 src/detectrotate/20-logrotate.dtr $(DESTDIR)/$(SHAREDIR)/
	install -m 755 src/detectrotate/30-logrotate-dateext.dtr $(DESTDIR)/$(SHAREDIR)/

	# Install the config files
	install -m 640 etc/logcheck.logfiles $(DESTDIR)/$(CONFDIR)
	install -m 640 etc/logcheck.conf $(DESTDIR)/$(CONFDIR)

	# Install the rulefiles
	install -m 644 rulefiles/linux/ignore.d.paranoid/* \
		$(DESTDIR)/$(CONFDIR)/ignore.d.paranoid/
	install -m 644 rulefiles/linux/ignore.d.server/* \
		$(DESTDIR)/$(CONFDIR)/ignore.d.server/
	install -m 644 rulefiles/linux/ignore.d.workstation/* \
		$(DESTDIR)/$(CONFDIR)/ignore.d.workstation/
	install -m 644 rulefiles/linux/violations.d/* \
		$(DESTDIR)/$(CONFDIR)/violations.d/
	install -m 644 rulefiles/linux/violations.ignore.d/* \
		$(DESTDIR)/$(CONFDIR)/violations.ignore.d/
	install -m 644 rulefiles/linux/cracking.d/* \
		$(DESTDIR)/$(CONFDIR)/cracking.d/

clean:
	# Remove the scripts
	-rm -f  $(DESTDIR)/$(SBINDIR)/logcheck
	-rm -f  $(DESTDIR)/$(SBINDIR)/logtail
	-rm -f  $(DESTDIR)/$(SBINDIR)/logtail2
	-rm -f  $(DESTDIR)/$(BINDIR)/logcheck-test
	# Remove the configfiles
	-rm -f $(DESTDIR)/$(CONFDIR)/logcheck.logfiles
	-rm -f $(DESTDIR)/$(CONFDIR)/logcheck.conf
	# Remove the rulesfiles
	-rm -rf $(DESTDIR)/$(CONFDIR)/ignore.d.paranoid/
	-rm -rf $(DESTDIR)/$(CONFDIR)/ignore.d.server/
	-rm -rf $(DESTDIR)/$(CONFDIR)/ignore.d.workstation/
	-rm -rf $(DESTDIR)/$(CONFDIR)/violations.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/violations.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/violations.ignore.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/cracking.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/logcheck.logfiles.d/
	# Remove the statedir and it's contents
	-rm -rf $(DESTDIR)/var/lib/logcheck

	# Finally remove the config directory
	-rmdir $(DESTDIR)/$(CONFDIR)

distclean:
	-find . -name "*~" | xargs --no-run-if-empty rm -vf

check:
	#cd test; python test.py

system-test:
	cd test; rm -fv state/*; \
		../src/logcheck -c ../etc/logcheck.conf \
				-l ../etc/logcheck.logfiles \
				-r ../rulefiles/linux \
				-S state/ -o

=== debian/changelog ===
logcheck (1.3.20) unstable; urgency=medium

  * Add MIMEENCODING option, default changed to let mime-construct choose an
    appropriate encoding, thanks to Anthony DeRobertis for the patch
    (closes: #860052)
  * src/logcheck:
    - fix -D option, thanks to Daniel Reichelt for the patch (closes: #877182)
  * docs/logcheck.sgml:
    - add missing dot, thanks to Vincas Dargis for the patch (closes: #859746)
  * Switch to debhelper 12
  * Bump to Standards-Version 4.3.0 (no changes necessary)
  * Update debian/copyright
  * Remove inactive Uploaders (closes: #920183):
    - Eric Evans
    - Hanspeter Kunz
    - Marc Haber
    - martin f. krafft
    - maximilian attems
    - Todd Troxell
    Thanks for helping with the package.
  * ignore.d.server/postfix: match TLS 1.1 or later (closes: #913621)
  * ignore.d.server/dhclient: match short dhclient xids (closes: #872463)
  * ignore.d.server/openvpn: match TLS 1.1 or later (closes: #861950)
  * ignore.d.server/systemd: support milliseconds for timer messages
    (closes: #869415)
  * ignore.d.workstation/wpasupplicant: match interface in CTRL-EVENT-EAP
    messages (closes: #889116)

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Fri, 01 Mar 2019 23:27:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Debian logcheck Team <logcheck@packages.debian.org>
-Uploaders: Todd Troxell <ttroxell@debian.org>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, maximilian attems <maks@debian.org>, Hanspeter Kunz <hkunz@ifi.uzh.ch>, Hannes von Haugwitz <hannes@vonhaugwitz.com>
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11)
+Uploaders: Hannes von Haugwitz <hannes@vonhaugwitz.com>
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 12)
 Build-Depends-Indep: docbook-to-man
 Vcs-Git: https://salsa.debian.org/debian/logcheck.git
 Vcs-Browser: https://salsa.debian.org/debian/logcheck

## logcheck 1.3.22

=== debian/changelog ===
logcheck (1.3.22) unstable; urgency=medium

  * d/t/01-logcheck: use temporary log file

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Mon, 01 Feb 2021 22:28:20 +0100

logcheck (1.3.21) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 1.2.23, 1.2.17, 1.1.1-7.3, 1.1.1-7.
  * Update standards version to 4.4.1, no changes needed.

  [ Simó Albert i Beltran ]
  * ignore.d.server/ssh:
    - match port
    - match more variants of 'Disconnected from' message
    - match 'Connection reset' message

  [ Ville Salomäki ]
  * v.i.d/logcheck-su, v.i.d/logcheck-sudo: allow '.' and '_' in usernames

  [Lee Maguire]
  * src/logcheck: support systemd journal as log source (closes: #876420)

  [ Hannes von Haugwitz ]
  * Switch to debhelper 13
  * Update standards version to 4.5.1, no changes needed.
  * Update debian/copyright
  * Set Rules-Requires-Root to no
  * Add autopkgtest
  * Adjust rules for PAM open session messages to match new format
  * Update 'su' rules to match changed format (closes: #931770)
  * i.d.s/dnsmasq: allow '.' in interface names, thanks to Craig Small for the
    patch (closes: #732655)
  * i.d.s/openvpn: match 'VERIFY X509NAME OK' message (closes: #751292)
  * i.d.s/spamd:
    - match autolearn_force field
    - properly match IPv6 addresses
    thanks to Craig Small for the patch (closes: #755374)
  * i.d.s/postfix: match sasl_sender field (closes: #700851)
  * i.d.s/su, v.i.d/logcheck-su:
    - match 'su-l:session'
    - match '(to <substitute-user>) <user>' message
  * i.d.s/systemd-logind: new
    - match logind session messages
  * i.d.s/systemd: match some Succeeded/Finished messages
  * i.d.s/dhclient: adjust 'DHCPREQUEST' rule

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Sun, 31 Jan 2021 23:01:29 +0100

## logcheck 1.3.23

=== debian/changelog ===
logcheck (1.3.23) unstable; urgency=medium

  * v.i.d/logcheck-sudo: adjust 'session opened' rule to match uid, thanks to
    Marco d'Itri  for the patch (closes: #985166)
  * v.i.d/logcheck-su: allow 'none' as pseudo terminal, thanks to Marco d'Itri
    for the patch

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Thu, 01 Apr 2021 21:19:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian logcheck Team <logcheck@packages.debian.org>
 Uploaders: Hannes von Haugwitz <hannes@vonhaugwitz.com>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 12)
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: docbook-to-man
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/logcheck.git
 Vcs-Browser: https://salsa.debian.org/debian/logcheck

=== debian/tests/control ===
Tests: 01-logcheck
Restrictions: needs-root

## logcheck 1.3.24

=== debian/changelog ===
logcheck (1.3.24) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0 no changes needed.
  * Thank you everyone and particular to Hannes von Haugwitz for
    maintaining this software (Closes: #981446).

 -- Jose M Calhariz <calhariz@debian.org>  Thu, 14 Jul 2022 21:09:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Debian logcheck Team <logcheck@packages.debian.org>
-Uploaders: Hannes von Haugwitz <hannes@vonhaugwitz.com>
-Standards-Version: 4.5.1
+Uploaders: Jose M Calhariz <calhariz@debian.org>
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: docbook-to-man
 Rules-Requires-Root: no

## logcheck 1.4.0

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	install -d $(DESTDIR)/var/lock/logcheck
 	install -d $(DESTDIR)/$(SHAREDIR)
 
+	# Create directories for rules logcheck-database
 	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.paranoid
 	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.workstation
 	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.server
@@ -24,6 +25,16 @@
 	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/violations.d
 	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/violations.ignore.d
 	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/logcheck.logfiles.d
+
+	# Create directories for rules logcheck-database-extra
+	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/ignore.d.paranoid
+	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/ignore.d.workstation
+	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/ignore.d.server
+	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/cracking.d
+	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/cracking.ignore.d
+	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/violations.d
+	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/violations.ignore.d
+	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/logcheck.logfiles.d
 
 	# Install the scripts
 	install -m 755 src/logcheck $(DESTDIR)/$(SBINDIR)/
@@ -51,6 +62,20 @@
 		$(DESTDIR)/$(CONFDIR)/violations.ignore.d/
 	install -m 644 rulefiles/linux/cracking.d/* \
 		$(DESTDIR)/$(CONFDIR)/cracking.d/
+
+	# Install the rulefiles for extra
+	#install -m 644 rulefiles/linux-extra/ignore.d.paranoid/* \
+	#	$(DESTDIR)/$(CONFDIR)/extra/ignore.d.paranoid/
+	#install -m 644 rulefiles/linux-extra/ignore.d.server/* \
+	#	$(DESTDIR)/$(CONFDIR)/extra/ignore.d.server/
+	#install -m 644 rulefiles/linux-extra/ignore.d.workstation/* \
+	#	$(DESTDIR)/$(CONFDIR)/extra/ignore.d.workstation/
+	#install -m 644 rulefiles/linux-extra/violations.d/* \
+	#	$(DESTDIR)/$(CONFDIR)/extra/violations.d/
+	#install -m 644 rulefiles/linux-extra/violations.ignore.d/* \
+	#	$(DESTDIR)/$(CONFDIR)/extra/violations.ignore.d/
+	#install -m 644 rulefiles/linux-extra/cracking.d/* \
+	#	$(DESTDIR)/$(CONFDIR)/extra/cracking.d/
 
 clean:
 	# Remove the scripts

=== debian/changelog ===
logcheck (1.4.0) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    - logcheck: Drop versioned constraint on logtail in Depends.
    - logtail: Drop versioned constraint on perl in Depends.
    - Remove 3 maintscript entries from 1 files.

  [ Hannes von Haugwitz ]
  * s/logcheck-test: add pipe support for --log-file

  [ Jose M Calhariz ]
  * d/control: Wrap around Depends field.
  * d/copyright: Update list of names and year.

  [ Mathias Gibbens ]
  * d/control:
    - Add myself to Uploaders
    - Bump Standards-Version to 4.6.2 (no changes needed)
  * d/copyright: Add myself
  * Update hardcoded (ugh!) version in src/logcheck

  [ Richard Lewis ]
  * Update rules to understand new ryslog 'high precision' timestamp
    format (Closes: #1023755)
  * Update rules to remove stray '\' characters. Thanks to Thomas Dorner
    (Closes: #1020827)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 22 Dec 2022 23:03:11 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Debian logcheck Team <logcheck@packages.debian.org>
-Uploaders: Jose M Calhariz <calhariz@debian.org>
-Standards-Version: 4.6.0
+Uploaders: Jose M Calhariz <calhariz@debian.org>,
+           Mathias Gibbens <gibmat@debian.org>
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: docbook-to-man
 Rules-Requires-Root: no
@@ -12,7 +13,14 @@
 
 Package: logcheck
 Architecture: all
-Depends: adduser, default-mta | mail-transport-agent, cron | cron-daemon, rsyslog | system-log-daemon, mime-construct, logtail (>= 1.2.59), lockfile-progs, ${misc:Depends}
+Depends: adduser,
+         default-mta | mail-transport-agent,
+         cron | cron-daemon,
+         rsyslog | system-log-daemon,
+         mime-construct,
+         logtail,
+         lockfile-progs,
+         ${misc:Depends}
 Recommends: logcheck-database (>= ${source:Version})
 Suggests: syslog-summary
 Description: mails anomalies in the system logfiles to the administrator
@@ -30,9 +38,20 @@
  It brings a database of regular expressions for matching system log entries
  after various criteria.
 
+#Package: logcheck-database-extra
+#Architecture: all
+#Depends: ${misc:Depends}
+#Description: database of more common system log rules than logcheck-database
+# This database is part of the Logcheck package, but might be used by
+# others.  It brings a database of regular expressions for matching
+# very common system log entries that do not belong to
+# logcheck-database.  This entries for example match common startup and
+# stop messages of daemons.
+
 Package: logtail
 Architecture: all
-Depends: perl (>= 5.8.0), ${misc:Depends}
+Depends: perl,
+         ${misc:Depends}
 Description: Print log file lines that have not been read
  This program will read in a standard text file and create an
  offset marker when it reads the end. The offset marker is read

## logcheck 1.4.1

=== debian/changelog ===
logcheck (1.4.1) unstable; urgency=medium

  [ Mathias Gibbens ]
  * Convert d/copyright to a machine-readable format
  * Mark logcheck-database as Multi-Arch: foreign
  * Remove useless `check` target from Makefile
  * Add lintian overrides for debian-news-entry-has-unknown-version, since
    dh_installchangelogs now trims ancient entries
  * Don't install the root-level CHANGES file, as this confuses
    dh_installchangelogs into thinking that file is the package's changelog

  [ Richard Lewis ]
  * logcheck-database:
     - Update rules for: su, sudo (Closes: #1024673), and
       systemd (Closes: #988389, #808429), login
  * logcheck:
     - Enable checking of the systemd journal by default (Closes: #1025719)
     - Do not change permissions of files inside /etc/logcheck, only
        change the directory itself (and restore on purge) (Closes: #1025897)
     - Ensure reports are made if all ignore.d.* directories are empty
     - Improve output when '-d' option is given
     - Ensure version (as returned by 'logcheck -v') is always in sync with the
       package version
     - Fix shellcheck issues in the main logcheck script
  *  logtail: remove d/logtail.prerm
  *  Add autopkgtests (incorporating and replacing the previous test suite)
     and have them run on each commit to salsa.debian.org (Closes: #1025895)
  *  Update or override lintian false-positives

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 11 Feb 2023 16:04:40 +0000

=== debian/control ===
Source: logcheck
Section: admin
Priority: optional
Maintainer: Debian logcheck Team <logcheck@packages.debian.org>
Uploaders: Jose M Calhariz <calhariz@debian.org>,
           Mathias Gibbens <gibmat@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: docbook-to-man
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/logcheck.git
Vcs-Browser: https://salsa.debian.org/debian/logcheck

Package: logcheck
Architecture: all
Depends: adduser,
         lockfile-progs,
         default-mta | mail-transport-agent,
         mime-construct,
         cron | cron-daemon,
         logtail,
         ${misc:Depends}
Recommends: logcheck-database (>= ${source:Version})
Enhances: rsyslog, system-log-daemon, systemd
Suggests: rsyslog | system-log-daemon
Description: check the system log for unusual entries
 Logcheck analyses the system log for unuexpected entries that could
 indicate problems or security issues.
 .
 Log entries in the system log (produced by systemd-journald, rsyslog
 or another system-log-dameon) are checked against a customisable
 database of regular expressions (such as that provided by the
 logcheck-database package) to identify routine messages: anything
 that does not identified as routine is reported to the system
 administrator.
 .
 Logcheck was originally part of the Abacus Project of security tools,
 but has been rewritten.

Package: logcheck-database
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: logcheck
Description: database of system log rules for logcheck
 This package brings a database of regular expressions for matching
 system log entries. It is part of Logcheck, but might be used by
 other log checkers.

#Package: logcheck-database-extra
#Architecture: all
#Depends: ${misc:Depends}
#Description: database of more common system log rules than logcheck-database
# This database is part of the Logcheck package, but might be used by
# others.  It brings a database of regular expressions for matching
# very common system log entries that do not belong to
# logcheck-database.  This entries for example match common startup and
# stop messages of daemons.

Package: logtail
Architecture: all
Depends: perl,
         ${misc:Depends}
Enhances: logcheck
Description: Identify new lines added to the end of log files
 Each time logtail and logtail2 are run on a file they print lines
 added since the last run.
 .
 They can be used by log checkers, such as logcheck, to identify new
 entries in log files.
 .
 This package provides both logtail and logtail2. The latter is better
 suited to log files that may be rotated between runs: if logtail2
 finds that the inode of the file changed, it tries to find the file
 it was rotated from using customisable heuristics. If it finds the
 file, it will new find lines added to the old file as well as to the
 new file.

## logcheck 1.4.2

=== debian/changelog ===
logcheck (1.4.2) unstable; urgency=medium

  * More explicitly mention the default checking of the systemd journal
    (Closes: #1031786)
  * Apply multiarch hint for logtail package

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 01 Mar 2023 22:49:39 +0000

## logcheck 1.4.2+deb12u1

=== debian/changelog ===
logcheck (1.4.2+deb12u1) bookworm; urgency=medium

  [ Mathias Gibbens ]
  * Update d/gbp.conf for debian/bookworm branch

  [ Richard Lewis ]
  * Ensure that if a user deleted /etc/logcheck/header.txt before
    upgrading to bookworm then the file stays deleted (Closes: #1049412).
    NB that the best way to suppress the header is to set INTRO=0 in
    /etc/logcheck/logcheck.conf

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 04 May 2025 16:43:20 +0000

=== debian/control ===
--- 
+++ 
@@ -59,7 +59,7 @@
 
 Package: logtail
 Architecture: all
-Depends: perl,
+Depends: perl:any,
          ${misc:Depends}
 Enhances: logcheck
 Description: Identify new lines added to the end of log files

## logcheck 1.4.3

=== debian/changelog ===
logcheck (1.4.3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Add logcheck.preinst to update header.txt if it matches a
    version shipped in old debian releases (woody-jessie), this avoid
    dpkg complaining about a modified conffile for people who
    installed logcheck in jessie or earlier (Closes: #1039591).

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 18 Jul 2023 10:54:10 +0000

## logcheck 1.4.3ubuntu1

=== Makefile ===
--- 
+++ 
@@ -17,14 +17,15 @@
 	install -d $(DESTDIR)/$(SHAREDIR)
 
 	# Create directories for rules logcheck-database
-	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.paranoid
-	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.workstation
-	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.server
-	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/cracking.d
-	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/cracking.ignore.d
-	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/violations.d
-	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/violations.ignore.d
-	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/logcheck.logfiles.d
+	install -m 755 -d $(DESTDIR)/$(CONFDIR)/ignore.d.paranoid
+	install -m 755 -d $(DESTDIR)/$(CONFDIR)/ignore.d.workstation
+	install -m 755 -d $(DESTDIR)/$(CONFDIR)/ignore.d.server
+	install -m 755 -d $(DESTDIR)/$(CONFDIR)/cracking.d
+	install -m 755 -d $(DESTDIR)/$(CONFDIR)/cracking.ignore.d
+	install -m 755 -d $(DESTDIR)/$(CONFDIR)/violations.d
+	install -m 755 -d $(DESTDIR)/$(CONFDIR)/violations.ignore.d
+
+	install -m 755 -d $(DESTDIR)/$(CONFDIR)/logcheck.logfiles.d
 
 	# Create directories for rules logcheck-database-extra
 	#install -m 2750 -d $(DESTDIR)/$(CONFDIR)/extra/ignore.d.paranoid
@@ -38,16 +39,18 @@
 
 	# Install the scripts
 	install -m 755 src/logcheck $(DESTDIR)/$(SBINDIR)/
+	sed -i "s/^VERSION=unknown$$/VERSION=$$(dpkg-parsechangelog -S version)/" $(DESTDIR)/$(SBINDIR)/logcheck
 	install -m 755 src/logtail $(DESTDIR)/$(SBINDIR)/
 	install -m 755 src/logtail2 $(DESTDIR)/$(SBINDIR)/
 	install -m 755 src/logcheck-test $(DESTDIR)/$(BINDIR)/
-	install -m 755 src/detectrotate/10-savelog.dtr $(DESTDIR)/$(SHAREDIR)/
-	install -m 755 src/detectrotate/20-logrotate.dtr $(DESTDIR)/$(SHAREDIR)/
-	install -m 755 src/detectrotate/30-logrotate-dateext.dtr $(DESTDIR)/$(SHAREDIR)/
+	install -m 644 src/detectrotate/10-savelog.dtr $(DESTDIR)/$(SHAREDIR)/
+	install -m 644 src/detectrotate/20-logrotate.dtr $(DESTDIR)/$(SHAREDIR)/
+	install -m 644 src/detectrotate/30-logrotate-dateext.dtr $(DESTDIR)/$(SHAREDIR)/
 
 	# Install the config files
-	install -m 640 etc/logcheck.logfiles $(DESTDIR)/$(CONFDIR)
-	install -m 640 etc/logcheck.conf $(DESTDIR)/$(CONFDIR)
+	install -m 644 etc/logcheck.logfiles $(DESTDIR)/$(CONFDIR)
+	install -m 644 etc/logcheck.conf $(DESTDIR)/$(CONFDIR)
+	install -m 644 etc/logcheck.logfiles.d/* $(DESTDIR)/$(CONFDIR)/logcheck.logfiles.d/
 
 	# Install the rulefiles
 	install -m 644 rulefiles/linux/ignore.d.paranoid/* \
@@ -104,9 +107,6 @@
 distclean:
 	-find . -name "*~" | xargs --no-run-if-empty rm -vf
 
-check:
-	#cd test; python test.py
-
 system-test:
 	cd test; rm -fv state/*; \
 		../src/logcheck -c ../etc/logcheck.conf \

=== debian/changelog ===
logcheck (1.4.3ubuntu1) plucky; urgency=medium

  * d/p/fix-cron-by-rules.patch: Ignore cron session opened msgs.
    (LP: #2059857)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 04 Dec 2024 17:56:43 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: logcheck
 Section: admin
 Priority: optional
-Maintainer: Debian logcheck Team <logcheck@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian logcheck Team <logcheck@packages.debian.org>
 Uploaders: Jose M Calhariz <calhariz@debian.org>,
            Mathias Gibbens <gibmat@debian.org>
 Standards-Version: 4.6.2
